### Method

# Ide DebugManager get_debugger

#### Declaration

    IdeDebugger*
    ide_debug_manager_get_debugger (
      IdeDebugManager* self
    )

#### Description

Gets the debugger instance, if it is loaded.

Available since: | 3.32

Gets property | `Ide.DebugManager:debugger`

#### Return value

Returns: | `IdeDebugger`
| An `IdeDebugger` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.